---
title: File.webkitRelativePath
slug: Web/API/File/webkitRelativePath
tags:
  - File
  - File API
  - File System API
  - File and Directory Entries API
  - Non-standard
  - Property
  - Read-only
  - Reference
  - Web
  - webkitRelativePath
---
<p>{{APIRef("File API")}}{{non-standard_header}}</p>

<p>The <code><strong>File.webkitRelativePath</strong></code> is a read-only property that contains a {{domxref("USVString")}} which specifies the file's path relative to the directory selected by the user in an {{HTMLElement("input")}} element with its {{htmlattrxref("webkitdirectory", "input")}} attribute set.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> <code><em>relativePath = File</em></code>.webkitRelativePath</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} containing the path of the file relative to the ancestor directory the user selected.</p>

<h2 id="Example">Example</h2>

<p>In this example, a directory picker is presented which lets the user choose one or more directories. When the {{event("change")}} event occurs, a list of all files contained within the selected directory hierarchies is generated and displayed.</p>

<h3 id="HTML_content">HTML content</h3>

<pre class="brush: html">&lt;input type="file" id="filepicker" name="fileList" webkitdirectory multiple /&gt;
&lt;ul id="listing"&gt;&lt;/ul&gt;</pre>

<h3 id="JavaScript_content">JavaScript content</h3>

<pre class="brush: js">document.getElementById("filepicker").addEventListener("change", function(event) {
  let output = document.getElementById("listing");
  let files = event.target.files;

  for (let i=0; i&lt;files.length; i++) {
    let item = document.createElement("li");
    item.innerHTML = files[i].webkitRelativePath;
    output.appendChild(item);
  };
}, false);
</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Example') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-file-webkitrelativepath', 'webkitRelativePath') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<p>This API has no official W3C or WHATWG specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.File.webkitRelativePath")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li>{{domxref("HTMLInputElement.webkitEntries")}}</li>
 <li>{{domxref("HTMLInputElement.webkitdirectory")}}</li>
</ul>
